# Class: App

## M_.App()

#### new App()

The Morphine application, instancied

##### Properties:

Name | Type | Description
--- | --- | ---
`inDevelopment` | boolean | display more errors or helps
`useWebsocket` | boolean | use websocket for M_.Utils.[get,post,put,delete]Json functions
`name` | string | application name
`routes` | type | Todo
`defaultController` | string | the first controller to call
`tabController` | array | contains instancied controllers
`container` | jquery | jQuery element where main application goes
`currentController` | M_.Controller | the current controller
`namespace` | type |
`templates` | type |
`models` | type |
`scripts` | type |
`app` | type |
`beforeAllAjax` | type |
`afterAllAjax` | type |
`lastModule` | type |
`lastAction` | type |
`executeNextAction` | type |
`controllersDir` | type |

### Methods

#### (static) onAfterAllAjax(data, options, originalOptions, jqXHR)

To document

##### Parameters:

Name | Type | Description
--- | --- | ---
`data` | Object |
`options` | Object |
`originalOptions` | Object |
`jqXHR` | jqXHR |

#### onBeforeAllAjax(options, originalOptions, jqXHR)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object |
`originalOptions` | Object |
`jqXHR` | jqXHR |